[package]
name = "gsf-core"
version = "0.0.0"
edition = "2024"

[dependencies]
anyhow.workspace = true
clap = { workspace = true, optional = true }
paste = { workspace = true }
serde = { version = "1", features = ["derive"] }
serde_json = "1"

[features]
dbg = []
long_bit_32 = []
clap = ["dep:clap"]

[build-dependencies]
cc = "1.2.3"
